> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/bank/get-account-details.md).

# Get Account Details

{% hint style="info" %}
Please note that when using your test key. Our test persona is **John Doe** and his Account number is **10000000001**. Bank code: any bank code e.g 101 will work when using your test key.
{% endhint %}

## Get Account Details

<mark style="color:blue;">`GET`</mark> `https://vapi.verifyme.ng/v1/banks/:code/accounts/:account`

Get a persons Account Details

#### Path Parameters

| Name           | Type   | Description         |
| -------------- | ------ | ------------------- |
| account        | string | Bank Account Number |
| code           | string | Bank Code           |
| Authentication | string | Authorization Token |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "data": {
        "accountName": "JOHN DOE",
        "accountNumber": "10000000001",
        "lastname": "DOE",
        "firstname": "JOHN",
        "middlename": "",
        "accountCurrency": "NGN",
        "dob": "1999-09-19",
        "mobileNumber": "08000000000",
        "bvn": "10000000001"
    }
}
```

{% endtab %}

{% tab title="401 " %}

```
{
  "statusCode": 401,
  "error": "Unauthorized"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
    "statusCode": 404,
    "error": "Not Found",
    "message": "Account not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/bank/get-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
